package com.yutou.biliapi.enums;

import lombok.Getter;

@Getter
public enum LiveProtocol {
    stream(0),
    hls(1);

    private final int value;

    private LiveProtocol(int value) {
        this.value = value;
    }

    public static String getAll() {
        StringBuilder sb = new StringBuilder();
        for (LiveProtocol value : values()) {
            sb.append(String.valueOf(value.value)).append(",");
        }
        return sb.substring(0, sb.length() - 1);
    }
}
